org.osgi.service.remoteserviceadmin

## Interface RemoteServiceAdminListener

All Known Implementing Classes:
  DebugRemoteServiceAdminListener, TopologyManager

    @ConsumerType
    public interface RemoteServiceAdminListener

A `RemoteServiceAdminEvent` listener is notified synchronously of any export or import registrations and unregistrations.

If the Java Runtime Environment supports permissions, then filtering is done. `RemoteServiceAdminEvent` objects are only delivered to the listener if the bundle which defines the listener object's class has the appropriate `EndpointPermission[endpoint,READ]` for the endpoint referenced by the event.

See Also:
  `RemoteServiceAdminEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `remoteAdminEvent(RemoteServiceAdminEvent event)` Receive notification of any export or import registrations and unregistrations as well as errors and warnings.

### Method Detail

#### remoteAdminEvent

    void remoteAdminEvent(RemoteServiceAdminEvent event)

Receive notification of any export or import registrations and unregistrations as well as errors and warnings.

Parameters:
  `event` - The `RemoteServiceAdminEvent` object.